<? session_start();
include 'cnn.php';
@$login = $_SESSION['login'];
@$senha = $_SESSION['senha'];
if(!isset($_SESSION['login'])) { echo "Para acessar essa pagina é preciso esta logado!"; }
else{
$Gms = mssql_fetch_row(mssql_query("select painelgm from memb_info where memb___id='".$login."'"));
if($Gms[0] <= 0) { echo "Você não faz parte da Administração"; }
else{ ?>
<h1>Desbanir conta</h1>
<form name="banchar" method="post" action="">
<div class="quadros">
<label>Login:</label>
<select name="acc" id="acc">
          <?
		$Accs = mssql_query("select Memb___id from MEMB_INFO WHERE bloc_code = '1'");
		for($p=0;$p<mssql_num_rows($Accs);$p++) {
		$Acc=mssql_fetch_row($Accs);
		echo '<option value='.$Acc[0].'>'.$Acc[0].'</option>';
		}
?>
</select>
<label><input name="acao" type="radio" value="2"> Desbanir</label>
<br>
<br>
<input type="submit" name="prossegue" id="prossegue" value="Desbloquear" class="submit">
</div>
  <? } }?>
  <?PHP
if($_POST['prossegue']) {
$acc     = stripslashes($_POST['acc']);
$acao     = stripslashes($_POST['acao']);

if (empty($acc) || empty($acao))
{
    ?>
  <script>
    window.alert("ERRO: campos em branco.");
    window.location='ir.php?pagina=desbaniracc';
    </script>
  <?PHP
}
else
{
    $sql_acc_check = mssql_query("SELECT MEMB___ID FROM MEMB_INFO WHERE MEMB___ID='$acc'");
    $acc_check = mssql_num_rows($sql_acc_check);
    $bloc_by  = $admchar;
            if ($acc_check <= 0)
            {
                ?>
  <script>
                    window.alert("ERRO: Conta não existe.");
                    window.location='index.php?go=painel/desbanacc';
                </script>
  <?PHP
                }
                else
                {
                    if ($acao == 2)
                    {
                     mssql_query("UPDATE MEMB_INFO SET 
							bloc_code=0,
							databloc='',
							diasdesbloc=0,
							motivobloc='',
							blocpor=''
							WHERE memb___id='$acc'");
	echo "<script>alert('Conta $acc desbloquiada com sucesso'); 
	location='javascript:history.back()'</script>";	

                        ?>
  <?PHP
                    }
                }
			}
        }
?>
</form>